Subject: Re: bug#5177: 23.1.90; scrollbar thumb stops working after being dragged

From: Angelo Graziosi <[email-masked]>
Date: Fri, 11 Dec 2009 00:11:05 +0100

Il 10/12/2009 20.43, Ken Brown ha scritto:
> On 12/10/2009 2:31 PM, Jan Djärv wrote:
>> Ken Brown skrev:
>>> Please write in English if possible, because the Emacs maintainers
>>> usually do not have translators to read other languages for them.
>>>
>>> Your bug report will be posted to the [email-masked]
>>> mailing list.
>>>
>>> Please describe exactly what actions triggered the bug
>>> and the precise symptoms of the bug. If you can, give
>>> a recipe starting from `emacs -Q':
>>>
>>> 1. Start the Gtk+ build of emacs.
>>> 2. Visit a file too big to fit in the window.
>>> 3. Drag the (vertical) scrollbar thumb.
>>> 4. Scroll through the buffer using the mouse wheel or keystrokes.
>>>
>>> The scrollbar thumb stays fixed and no longer shows the relative
>>> position in the buffer. Clicking in an empty area of the scrollbar
>>> restores the correct behavior.
>>
>> This does not happen for me. Must be Cygwin-specific.
>
> Angelo Graziosi told me he has observed similar behavior in Kubuntu.
> Could it be related to the Gtk+ version? My Cygwin build uses version
> 2.18.3.

I can reproduce the bad behavior on Kubuntu 8.04 and 9.10 on which I 
have the builds I did on 20091207.

Ciao,
Angelo.